
ile-root:empty {
  display: none;
}
.seek-bar-wrapper[data-v-f763b527] {
  z-index:1;align-items:center;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  height: 40px; /* We want to create some area around the seek bar for the user to click on. */
}
.seek-bar-line[data-v-f763b527] {
  height:6px;overflow:hidden;
  grid-area: 1/1;
}
.seek-bar-touch[data-v-f763b527] {
  
  grid-area: 1/1;
}.seek-bar-touch[data-v-f763b527]:active{cursor:grabbing;}
.seek-bar-indicator[data-v-f763b527] {
  grid-area: 1/1;
}
.duration[data-v-f763b527] {
  white-space:pre;border-radius:0.375rem;--un-bg-opacity:1;background-color:rgb(23 25 27 / var(--un-bg-opacity)) /* #17191B */;font-size:1rem;line-height:1.25rem;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;
}.audio-player.fixed[data-v-8945a994] {
  box-shadow: 0px -2px 4px #212121;
  max-width: 100vw;
}
.audio-player[data-v-8945a994]:not(.fixed) {
  --un-bg-opacity: 0;
}a[data-v-42513e8b] {
  color:rgb(255 255 255 / 0.8) /* #FFF */;
}
a[data-v-42513e8b]:active,
a[data-v-42513e8b]:hover {
  color: white;
}
a[disabled][data-v-42513e8b] {
  color:rgb(255 255 255 / 0.2) /* #FFF */;
}main:has(.song-player) + footer {
  padding-bottom: calc(132px + 2rem);
}
.song-title,
.chorus {
  position: relative;
  text-shadow: 3px 1px 1px #212121, 2px 2px 1px #3f16fb, 4px 2px 1px #212121, 3px 3px 1px #3f16fb, 5px 3px 1px #212121, 4px 4px 1px #3f16fb, 6px 4px 1px #212121, 5px 5px 1px #3f16fb, 7px 5px 1px #212121, 6px 6px 1px #3f16fb, 8px 6px 1px #212121, 7px 7px 1px #3f16fb, 9px 7px 1px #212121;
}
.song-title:before,
.chorus:before {
  inset: 0;
  content: attr(data-text);
  position: absolute;
  text-shadow: 2px 2px 1px #3203c4, -1px -1px 1px #c736f9, -2px 2px 1px #3203c4, 1px -1px 1px #f736f9;
}